Element.prototype.hasClassName = function (a) {
    return new RegExp("(?:^|\\s+)" + a + "(?:\\s+|$)").test(this.className);
};

Element.prototype.addClassName = function (a) {
    if (!this.hasClassName(a)) {
        this.className = [this.className, a].join(" ");
    }
};

Element.prototype.removeClassName = function (b) {
    if (this.hasClassName(b)) {
        var a = this.className;
        this.className = a.replace(new RegExp("(?:^|\\s+)" + b + "(?:\\s+|$)", "g"), " ");
    }
};

Element.prototype.toggleClassName = function (a) {
  this[this.hasClassName(a) ? "removeClassName" : "addClassName"](a);
};


var init = function() {
  var container = document.querySelector('.container'),
      buttons = document.querySelectorAll('#opcije button'),
      containerClass = 'translatirajObjekt',
	  box = document.querySelector('.container').children[0],
      showPanelButtons = document.querySelectorAll('#pokazi button'),
      panelClassName = '1',

      onButtonClick = function(event) {
        container.removeClassName( containerClass );
        containerClass = event.target.className;
        container.addClassName( containerClass );
		box.removeClassName( panelClassName );
        panelClassName = event.target.className;
        box.addClassName( panelClassName );
      };
  
  for ( var i=0, len = buttons.length; i < len; i++ ) {
    buttons[i].addEventListener( 'click', onButtonClick, false );
  }
  for (var i=0, len = showPanelButtons.length; i < len; i++) {
    showPanelButtons[i].addEventListener( 'click', onButtonClick, false);
  }
 document.getElementById('visibility').addEventListener( 'click', function(){
    box.toggleClassName('panels-backface-invisible');
  }, false);
  
};

window.addEventListener('DOMContentLoaded', init, false);